Solved

Crysis Help

Hello,
Do i have to install all the patches for crysis or just the latest one.
5 answers Last reply Best Answer
More about crysis help
  1. crysis patch 1.2 should be all you need.
  2. what about 1.1 1.3 1.4 1.5
  3. also i have not installed 1.1 should i have
  4. Best answer
    If you install the latest patch, it will install the previous ones if it needs to. You definitely don't need to install them all manually.
  5. Best answer selected by n8owner.
Ask a new question

Read More

PC gaming Crysis Video Games